Firefox 22 . Mac OS X 10.6.8 and Quicktime 7.6

It seems that in any dying project the bureaucrats, middle managers and otherwise challenged people are the last to leave. They cling on to past greatness and try to re-evoke what is gone.

The last Firefox update 22 put the latest available Quicktime Version 7.6.8 on their blocklist. Clips will not longer play, but a warning will show up, requesting an update. Only problem is that Quicktime 7.6.6 is not out of date for OS X 10.6.8. FF has acknowledged this and it is fixed. But a download of FF still has the broken blocklist.xml.

If you want or need to fix this manually you can do:

1) locate blocklist.xml for instance via

mdfind blocklist.xml

2) remove the 3 lines:

<pluginitem blockID=\"p408\">
<match name=\"filename\" exp=\"QuickTime Plugin\.plugin\" />                      <versionrange minVersion=\"0\" maxVersion=\"7.7.0\" severity=\"0\" vulnerabilitystatus=\"1\"></versionrange>
</pluginitem>

3) restart Firefox

One Response to “Firefox 22 . Mac OS X 10.6.8 and Quicktime 7.6”

  1. Bill Johnson Says:

    Why do you say the problem is fixed? I’m running Mac FF 22 with Snow Leopard and it’s not fixed. The “Check Plugins” page is still warning me to update something that can’t be updated.

Leave a Reply

You must be logged in to post a comment.